
-- Celestial Explopsionic

newBirthDescriptor{
	type = "subclass",
	name = "Celesxplopsi",
	desc = {
		"A mage which not only wields the power of fire, but that of their mind and the two celestial bodies.",
		"Their most important stats are: Magic and Willpower.",
		"#GOLD#Stat modifiers:",
		"#LIGHT_BLUE# * +0 Strength, +0 Dexterity, +0 Constitution",
		"#LIGHT_BLUE# * +3 Magic, +3 Willpower, +0 Cunning",
		"#GOLD#Life per level:#LIGHT_BLUE# +0",
	},
	power_source = {psionic=true, arcane=true,},
	stats = { wil=3, mag=3},
	talents_types = {
		["spell/explosives"]={true, 0.2},
		["spell/nightfall"]={true, 0.1},
		["spell/necrosis"]={true, 0.2},
		["spell/absorption"]={true, 0.1},
		["spell/infusion"]={false, 0.0},
		["spell/necrotic-minions"]={false, 0.0},
		["psionic/projection"]={false, 0.0},
		["spell/stone-alchemy"]={true, 0.1},
		["celestial/light"]={true, 0.2},
		["spell/conveyance"]={true, 0.0},
	},
	talents = {
		[ActorTalents.T_THROW_BOMB] = 1,
	},
	copy = {
		max_life = 100,
		resolvers.equip{ id=true,
			{type="weapon", subtype="greatsword", name="iron greatswiord", autoreq=true, ego_chance=-1000},
			{type="armor", subtype="cloth", name="linen robe", autoreq=true, ego_chance=-1000}
		},
	},
	copy_add = {
		life_rating = 0,
	},
}

getBirthDescriptor("class", "Mage").descriptor_choices.subclass.Celesxplopsi = "allow"
